﻿@{
    ViewData["Title"] = "Edit Page";
}
@using TestCaseBackendDeveloper_v._3.FE.ViewModel
@using TestCaseBackendDeveloper_v._3.FE.Response
@model TenderDataForResponses
<style>
    body {
        background: #222D32;
        font-family: 'Roboto', sans-serif;
    }

    .title {
        margin-top: 15px;
        text-align: center;
        font-size: 30px;
        letter-spacing: 2px;
        margin-top: 15px;
        font-weight: bold;
        color: #ECF0F5;
    }

    .box {
        margin-top: 75px;
        height: auto;
        background: #1A2226;
        box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
        color: #ECF0F5;
    }
</style>
<div class="container">
    <div class="row">
        <div class="col-lg-3 col-md-2"> </div>
        <div class="col-lg-6 col-md-8 box">
            <div class="col-lg-12 title">
                Edit
            </div>
            <div class="col-lg-12">
                <div class="col-lg-12">
                    <div class="list-group">
                        @{
                            foreach (TenderDataForResponses data in ViewBag.TenderData)
                            {
                                <form asp-controller="Home" asp-action="Edit" id="form" method="post">
                                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                                    <input asp-for="ID" type="hidden" class="form-control" value="@data.ID" required>

                                    <div class="form-group p-2">
                                        <label asp-for="Title" class="form-control-label">Title</label>
                                        <input asp-for="Title" type="text" class="form-control" value="@data.Title" required>
                                        <span asp-validation-for="Title" class="text-danger"></span>
                                    </div>
                                    <div class="form-group p-2">
                                        <label asp-for="Reference" class="form-control-label">Reference</label>
                                        <input asp-for="Reference" type="text" class="form-control" value="@data.Reference" required>
                                        <span asp-validation-for="Reference" class="text-danger"></span>
                                    </div>
                                    <div class="form-group p-2">
                                        <label asp-for="ReleaseDate" id="startDate" class="form-control-label">Release Date</label>
                                        <input asp-for="ReleaseDate" type="datetime-local" class="form-control" value="@data.ReleaseDate" required>
                                        <span asp-validation-for="ReleaseDate" class="text-danger"></span>
                                    </div>
                                    <div class="form-group p-2">
                                        <label asp-for="ClosingDate" id="endDate" class="form-control-label">Closing Date</label>
                                        <input asp-for="ClosingDate" type="datetime-local" class="form-control" value="@data.ClosingDate" required />
                                        <span asp-validation-for="ClosingDate" class="text-danger"></span>
                                    </div>
                                    <div class="form-group p-2">
                                        <label asp-for="Description" class="form-control-label">Description</label>
                                        @Html.TextArea("Description", @data.Description, new { @class = "form-control" })
                                        <span asp-validation-for="Description" class="text-danger"></span>
                                    </div>
                                    <div class="col-lg-12 p-2">
                                        <div class="col-lg-6 login-btm login-text">
                                            <!-- Error Message -->
                                        </div>
                                        <div class="col-lg-6 login-btm login-button">
                                            <button type="submit" class="btn btn-outline-primary">UPDATE</button>

                                        </div>
                                    </div>

                                </form>
                            }
                        }
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-2"> </div>
        </div>
    </div>
</div>

<script>

</script>
